Jump to content
The Dark Mod Forums
Sign in to follow this  
NightStalker

Patch For DarkRadiant Compilation (32-bit Slackware)

Recommended Posts

Attached is a simple patch to 'include/irenderable.h' that allows DarkRadiant (both 2.1.0 and the latest code from SourceForge github) to compile under Linux (specifically, 32-bit Slackware 14.2).

With this patch, I was able to compile and run DarkRadiant, but it immediately crashes. More on that in a separate thread.

DarkRadiant-compile-under-Linux.patch.txt

Edited by NightStalker
  • Like 1

Share this post


Link to post
Share on other sites

Just to close the loop on this... With recent changes to the DarkRadiant code in github, it now successfully compiles under 32-bit Slackware 14.2 without the need for the patch attached above. My thanks to greebo for the fix!

Share this post


Link to post
Share on other sites

Join the conversation

You can post now and register later. If you have an account, sign in now to post with your account.

Guest
Reply to this topic...

×   Pasted as rich text.   Paste as plain text instead

  Only 75 emoji are allowed.

×   Your link has been automatically embedded.   Display as a link instead

×   Your previous content has been restored.   Clear editor

×   You cannot paste images directly. Upload or insert images from URL.

Sign in to follow this  

×
×
  • Create New...